﻿Imports BookingDomainModel

Public Class AzureChannel
    Implements IChannel

    Private ReadOnly queue As CloudQueue

    Public Sub New(ByVal queue As CloudQueue)
        If queue Is Nothing Then Throw New ArgumentNullException("queue")

        Me.queue = queue
    End Sub

#Region "ICommandChannel Members"

    Public Sub Send(ByVal command As Object) Implements BookingDomainModel.IChannel.Send
        Dim formatter = New BinaryFormatter
        Using s = New MemoryStream
            formatter.Serialize(s, command)
            Dim msg = New CloudQueueMessage(s.ToArray())
            Me.queue.AddMessage(msg)
        End Using
    End Sub

#End Region
End Class