﻿Imports Microsoft.WindowsAzure
Imports System.Data.Services.Client

Public Class ReservationContext
    Inherits TableServiceContext
    Public Sub New(ByVal account As CloudStorageAccount)
        MyBase.New(account.TableEndpoint.AbsoluteUri, account.Credentials)
    End Sub

    Public ReadOnly Property Reservations As DataServiceQuery(Of ReservationTableEntity)
        Get
            Return Me.CreateQuery(Of ReservationTableEntity)("Reservations")
        End Get
    End Property

    Public Sub AddReservation(ByVal reservation As ReservationTableEntity)
        Me.AddObject("Reservations", reservation)
    End Sub
End Class