﻿Public Class AcceptingReservationConsumer
    Implements IMessageConsumer(Of MakeReservationCommand)

    Private ReadOnly channel As IChannel

    Public Sub New(ByVal channel As IChannel)
        Me.channel = channel
    End Sub

#Region "IMessageConsumer<MakeNewReservationCommand> Members"

    Public Sub Consume(ByVal message As MakeReservationCommand) Implements IMessageConsumer(Of MakeReservationCommand).Consume
        Me.channel.Send(message.Accept())
    End Sub

#End Region
End Class