﻿Public Class ConstraintCheckingReservationConsumer
    Implements IMessageConsumer(Of MakeReservationCommand)

    Private ReadOnly reader As ICapacityReader

    Public Sub New(ByVal reader As ICapacityReader)
        Me.reader = reader
    End Sub

#Region "IMessageConsumer<MakeNewReservationCommand> Members"

    Public Sub Consume(ByVal command As MakeReservationCommand) Implements IMessageConsumer(Of MakeReservationCommand).Consume
        Me.reader.GetCapacity(command.Date).TryDecrement(command.Quantity)
    End Sub

#End Region
End Class