﻿<Serializable()>
Public Class ReservationRejectedEvent
    Private ReadOnly _id As Guid
    Private ReadOnly _date As Date
    Private ReadOnly _name As String
    Private ReadOnly _email As String
    Private ReadOnly _quantity As Integer

    Public Sub New(ByVal id As Guid,
                   ByVal [date] As Date,
                   ByVal name As String,
                   ByVal email As String,
                   ByVal quantity As Integer
                   )
        Me._id = id
        Me._date = [date]
        Me._name = name
        Me._email = email
        Me._quantity = quantity
    End Sub

    Public ReadOnly Property [Date] As Date
        Get
            Return Me._date
        End Get
    End Property

    Public ReadOnly Property Email As String
        Get
            Return Me._email
        End Get
    End Property

    Public ReadOnly Property Id As Guid
        Get
            Return Me._id
        End Get
    End Property

    Public ReadOnly Property Name As String
        Get
            Return Me._name
        End Get
    End Property

    Public ReadOnly Property Quantity As Integer
        Get
            Return Me._quantity
        End Get
    End Property
End Class