﻿	Public Class ReservationWriter
    Implements IMessageConsumer(Of MakeReservationCommand)

    Private ReadOnly repository As IReservationRepository

    Public Sub New(ByVal repository As IReservationRepository)
        Me.repository = repository
    End Sub

#Region "ICommandConsumer<MakeNewReservationCommand> Members"

    Public Sub Consume(ByVal command As MakeReservationCommand) Implements IMessageConsumer(Of MakeReservationCommand).Consume
        Me.repository.AddReservation(command.Accept())
    End Sub

#End Region
End Class