﻿Imports BookingDomainModel

Public Class ReservationRejectedEventFacts
    <Theory(), AutoDomainData()>
    Public Sub Test(<Frozen()> ByVal id As Guid, ByVal sut As ReservationRejectedEvent)
        Assert.Equal(Of Guid)(id, sut.Id)
    End Sub

    <Theory(), AutoDomainData()>
    Public Sub DateIsCorrect(<Frozen()> ByVal [date] As Date, ByVal sut As ReservationRejectedEvent)
        Assert.Equal(Of Date)([date], sut.Date)
    End Sub

    <Theory(), AutoDomainData()>
    Public Sub NameIsCorrect(<Frozen()> ByVal name As String, ByVal sut As ReservationRejectedEvent)
        Assert.Equal(Of String)(name, sut.Name)
    End Sub

    <Theory(), AutoDomainData()>
    Public Sub EmailIsCorrect(<Frozen()> ByVal email As String, ByVal sut As ReservationRejectedEvent)
        Assert.Equal(Of String)(email, sut.Email)
    End Sub

    <Theory(), AutoDomainData()>
    Public Sub QuantityIsCorrect(<Frozen()> ByVal quantity As Integer, ByVal sut As ReservationRejectedEvent)
        Assert.Equal(Of Integer)(quantity, sut.Quantity)
    End Sub
End Class