﻿Imports Microsoft.WindowsAzure
Imports System.Data.Services.Client

Public Class MailContext
    Inherits TableServiceContext
    Public Sub New(ByVal account As CloudStorageAccount)
        MyBase.New(account.TableEndpoint.AbsoluteUri, account.Credentials)
    End Sub

    Public ReadOnly Property MailMessages As DataServiceQuery(Of MailMessageTableEntity)
        Get
            Return Me.CreateQuery(Of MailMessageTableEntity)("MailMessages")
        End Get
    End Property

    Public Sub AddMailMessage(ByVal m As MailMessageTableEntity)
        Me.AddObject("MailMessages", m)
    End Sub
End Class