﻿Imports BookingDomainModel

Public Class MonthViewModelUpdater
    Implements IMessageConsumer(Of SoldOutEvent)

    Private ReadOnly writer As IMonthViewWriter

    Public Sub New(ByVal writer As IMonthViewWriter)
        Me.writer = writer
    End Sub

#Region "IMessageConsumer<DateDepletedEvent> Members"

    Public Sub Consume(ByVal message As SoldOutEvent) Implements BookingDomainModel.IMessageConsumer(Of BookingDomainModel.SoldOutEvent).Consume
        Me.writer.Disable(message.Date)
    End Sub

#End Region
End Class