﻿Imports Moq
Imports BookingWebModel
Imports BookingDomainModel

Public Class MonthViewModelUpdaterFacts
    <Theory(), AutoWebData()>
    Public Sub SutIsConsumer(ByVal sut As MonthViewModelUpdater)
        Assert.IsAssignableFrom(Of IMessageConsumer(Of SoldOutEvent))(sut)
    End Sub

    <Theory(), AutoWebData()>
    Public Sub ConsumeCorrectlyUpdatesViewStore(<Frozen()> ByVal storeMock As Mock(Of IMonthViewWriter),
                                                ByVal sut As MonthViewModelUpdater,
                                                ByVal [event] As SoldOutEvent
                                                )
        sut.Consume([event])
        storeMock.Verify(Sub(s) s.Disable([event].Date))
    End Sub
End Class