﻿<%@ Control Language="VB" Inherits="System.Web.Mvc.ViewUserControl" %>
<% Using Html.BeginForm()
   %>
<%: Html.ValidationSummary(true) %>
<fieldset>
    <legend>Booking</legend>
    <div class="editor-label">
        <%: Me.Html.LabelFor(Function(model) model.Date)%>
    </div>
    <div class="editor-field">
        <%: Me.Model.Date.ToShortDateString()%>
    </div>
    <div class="editor-label">
        <%: Me.Html.LabelFor(Function(model) model.Name)%>
    </div>
    <div class="editor-field">
        <%: Me.Html.TextBoxFor(Function(model) model.Name)%>
        <%: Me.Html.ValidationMessageFor(Function(model) model.Name)%>
    </div>
    <div class="editor-label">
        <%: Me.Html.LabelFor(Function(model) model.Email)%>
    </div>
    <div class="editor-field">
        <%: Me.Html.TextBoxFor(Function(model) model.Email)%>
        <%: Me.Html.ValidationMessageFor(Function(model) model.Email)%>
    </div>
    <div class="editor-label">
        <%: Me.Html.LabelFor(Function(model) model.Quantity)%>
    </div>
    <div class="editor-field">
        <%: Me.Html.DropDownListFor(Function(model) model.Quantity, Enumerable.Range(1, Me.Model.Remaining).Select(Function(i) New SelectListItem With {.Value = i.ToString(), .Text = i.ToString()}))%>
        <%: Me.Html.ValidationMessageFor(Function(model) model.Quantity)%>
    </div>
    <p>
        <%: Me.Html.HiddenFor(Function(model) model.Date)%>
        <input type="submit" value="Save" />
    </p>
</fieldset>
<% End Using %>

<div>
    <%: Html.ActionLink("Back to List", "Index")%>
</div>
